﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using HieraSample.Models;
using Infragistics.Web.Mvc;

namespace HieraSample.Controllers
{
    public class EmpController : Controller
    {
        // GET: Emp
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult ViewDetails()
        {
            return View(GetData().AsQueryable());
        }

        [ActionName("aspnet-mvc-hierararchical")]
        [GridDataSourceAction]
        public ActionResult ViewDetails(Employee emp)
        {

            return View(GetData().AsQueryable());
        }

        private List<Employee> GetData()
        {
            var details = new List<Employee>();
            details.Add(new Employee
            {
                EmployeeID = "1",
                Name = "Documents",
                Date = new DateTime(2013, 9, 12),
                Designation = "ASE",
                Salary = 44800,
                Detl = new List<Details> {
                    new Details { DeltailID=100, EmployeeID = "1", Address= "Address1", City= "Trivandrum", State= "Kerala", Pincode= 4448 },
                   new Details { DeltailID=101, EmployeeID= "1", Address= "Address2", City= "Kochi", State= "Kerala", Pincode= 5552 }
                }
            });
            details.Add(new Employee
            {
                EmployeeID = "2",
                Name = "Music",
                Date = new DateTime(2014, 6, 10),
                Designation = "SystemEngineer",
                Salary = 5594,
                Detl = new List<Details> {
                new Details {DeltailID=103, EmployeeID= "2", Address= "AddressSample", City= "Trivandrum", State= "Kerala", Pincode= 4448 },
                new Details {DeltailID=104, EmployeeID= "2", Address= "AddressSample2", City= "Kochi", State= "Kerala", Pincode= 5559 },
                        new Details {DeltailID=105, EmployeeID= "2", Address= "Address3", City= "Kollam", State= "Kerala", Pincode= 5554},
                        new Details {DeltailID=106, EmployeeID= "2", Address= "Address4", City= "Kottayam", State= "Kerala", Pincode= 5555 }
                }

            });

            return details;
        }
    }
}